<script type="text/javascript">
$(document).ready(function() {
    $(function() {
        $("#theList.detail tr:even").addClass("stripe1");
        $("#theList.detail tr:odd").addClass("stripe2");

        $("#theList.detail tr").hover(
            function() {
                $(this).toggleClass("highlight");
            },
            function() {
                $(this).toggleClass("highlight");
            }
        );
    });	
});

	function edit_data(ID){
		var kode = ID;
						
		$.ajax({
			type	: "POST",
			url		: "spv/pener_kas/edit.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#txt_nourut").val(data.nourut);
				$("#txt_noakun").val(data.noakun);
				$("#txt_nobp").val(data.nobp);
				$("#txt_naakun").val(data.naakun);				
				$("#txt_ket").val(data.ket);				
				$("#txt_jumlah").val(data.jumlah);
			}
		});		
	}

	function hapus_data(ID){
		var pilih = confirm('Hapus data jurnal kode '+ID+' ?');
		if (pilih==true) {
		var kode = ID;
		$.ajax({
			type	: "POST",
			url		: "spv/pener_kas/hapus.php",
			data	: "kode="+kode,
			success	: function(data){
				$("#info").html(data);
				cek_nourut();
				tampil_data_detail();
			}
		});
		}
	}
	
	function cek_nourut(){
		var kode 	= $("#txt_kode").val();
		
		$.ajax({
			type	: "POST",
			url		: "spv/pener_kas/cari_nourut.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#txt_nourut").val(data.nomor);
			}
		});
	}
	
	function tampil_data_detail(){
		var	kode=$("#txt_kode").val();
		$("#data_detail").load("modul/pener_kas/tampil_data_detail.php?kode="+kode);		
	}
		
</script>

<?php
include '../../inc/inc.koneksi.php';
$kode	= $_GET[kode];
echo "<table id='theList' class='detail' width='100%'>
		<tr>
			<th>No.</th>
			<th>Kode Akun</th>
			<th>Nama Akun</th>
			<th>Kode BP</th>
			<th>Nama Buku Pembantu</th>
			<th>Keterangan</th>
			<th>Jumlah</th>
			<th>Aksi</th>
		</tr>";
		$query = mysql_query("SELECT * FROM jurkm WHERE kode_km='$kode' ORDER BY no_urut");
		
		$no=1;
		$total=0;
		while($r=mysql_fetch_array($query)){			
			$kodekm = $r[kode_km].';'.$r[no_urut];
			$total 	= $total+$r[jumlah];
			echo "<tr>
				<td align='center'>$no</td>
				<td align='center'>$r[noakun]</td>
				<td>$r[naakun]</td>
				<td align='center'>$r[nobp]</td>
				<td>$r[namabp]</td>					
				<td>$r[keterangan]</td>
				<td align='right'>".number_format($r[jumlah],2)."</td>
				<td align='center'>
					<a href='javascript:void(0)' onClick=\"edit_data('$kodekm')\">
					<img src='icon/thumb_up.png' border='0' id='edit' title='Edit' width='12' height='12' ></a>					
					<a href='javascript:void(0)' onClick=\"hapus_data('$kodekm')\">
					<img src='icon/thumb_down.png' border='0' id='hapus' title='Hapus' width='12' height='12' ></a>
				</td>
			</tr>";
			$no++;			
		}
		echo "<tr>				
			<td></td>
			<td></td>
			<td></td>
			<td></td>
			<td></td>				
			<td align='right'>Total </td>
			<td align='right'>".number_format($total,2)."</td>
		</tr>
	</table>";	
?>